Bug 840608 - Several compiler warnings on x86_64
Several compiler warnings on x86_64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jbigkit (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 13:04 EDT by Vincent Danen
Modified: 2012-07-26 18:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:30:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-07-16 13:04:57 EDT
A Debian bug report was brought to our attention.  I'm filing this is a regular bug and not a security issue because there is no proven/reported exploitability but it would probably be good to address as a correctness/hardening approach.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680935
https://bugs.launchpad.net/ubuntu/+source/jbigkit/+bug/993304

The Debian report has a patch to correct the compiler warnings.

Filing this against rawhide as it is not critical that these get fixed in existing releases (may not be a bad idea, but not critical), but we should certainly look to have it corrected for future releases.
Comment 1 Fedora Update System 2012-07-17 11:04:10 EDT
jbigkit-2.0-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jbigkit-2.0-7.fc17
Comment 2 Fedora Update System 2012-07-17 11:07:38 EDT
jbigkit-2.0-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/jbigkit-2.0-7.fc16
Comment 3 Fedora Update System 2012-07-19 04:59:09 EDT
Package jbigkit-2.0-7.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jbigkit-2.0-7.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10770/jbigkit-2.0-7.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-26 18:30:36 EDT
jbigkit-2.0-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-07-26 18:37:45 EDT
jbigkit-2.0-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.